/*
    Copyright (c) 2022 Advanced Micro Devices, Inc. All rights reserved.

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in
    all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
   THE SOFTWARE.
   */
#ifndef HIP_WRAPPER_INCLUDE_HIP_HIP_VERSION_H
#define HIP_WRAPPER_INCLUDE_HIP_HIP_VERSION_H

#ifndef ROCM_HEADER_WRAPPER_WERROR
#define ROCM_HEADER_WRAPPER_WERROR 0
#endif
#if ROCM_HEADER_WRAPPER_WERROR  /* ROCM_HEADER_WRAPPER_WERROR 1 */
#error "hip_version.h has moved to /opt/rocm-5.7.0/include/hip and package include paths have changed. Provide include path as /opt/rocm-5.7.0/include when using cmake packages."
#else      /* ROCM_HEADER_WRAPPER_WERROR 0 */
#if defined(__GNUC__)
#warning "hip_version.h has moved to /opt/rocm-5.7.0/include/hip and package include paths have changed. Provide include path as /opt/rocm-5.7.0/include when using cmake packages."
#else
#pragma message ("hip_version.h has moved to /opt/rocm-5.7.0/include/hip and package include paths have changed. Provide include path as /opt/rocm-5.7.0/include when using cmake packages.")
#endif
#endif /* ROCM_HEADER_WRAPPER_WERROR */

#include "../../../include/hip/hip_version.h"


#if 0
/* The following is a copy of the original file for the benefit of build systems which grep for values
 * in this file rather than preprocess it. This is just for backward compatibility */

// Auto-generated by cmake

#ifndef HIP_VERSION_H
#define HIP_VERSION_H

#define HIP_VERSION_MAJOR 5
#define HIP_VERSION_MINOR 7
#define HIP_VERSION_PATCH 31921
#define HIP_VERSION_GITHASH "d1770ee1b"
#define HIP_VERSION_BUILD_ID 0
#define HIP_VERSION_BUILD_NAME ""
#define HIP_VERSION    (HIP_VERSION_MAJOR * 10000000 + HIP_VERSION_MINOR * 100000 + HIP_VERSION_PATCH)

#define __HIP_HAS_GET_PCH 1

#endif



#endif

#endif
